curl --request POST \
--url https://api.datalinks.com/api/v1/links/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": {
"username": "johndoe",
"namespace": "cinematography",
"dataset": "movies",
"columnName": "director"
},
"to": {
"username": "janedoe",
"namespace": "entertainment",
"dataset": "films",
"columnName": "director_name"
},
"matchType": "ExactMatch"
}
'{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}links
Add a new link
Create a new link between two dataset columns.
POST
/
links
/
add
curl --request POST \
--url https://api.datalinks.com/api/v1/links/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": {
"username": "johndoe",
"namespace": "cinematography",
"dataset": "movies",
"columnName": "director"
},
"to": {
"username": "janedoe",
"namespace": "entertainment",
"dataset": "films",
"columnName": "director_name"
},
"matchType": "ExactMatch"
}
'{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Body
application/json
Show child attributes
Show child attributes
Example:
{
"username": "johndoe",
"namespace": "cinematography",
"dataset": "movies",
"columnName": "director"
}
Show child attributes
Show child attributes
Example:
{
"username": "janedoe",
"namespace": "entertainment",
"dataset": "films",
"columnName": "director_name"
}
Type of match to create between the columns.
Available options:
ExactMatch, GeoMatch Example:
"ExactMatch"
Flexible options map for match configuration.
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Link existed, no creation required.